LogChute (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.LogChute interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Interface LogChute

All Known Implementing Classes:
  AvalonLogChute, CommonsLogLogChute, org.apache.velocity.runtime.log.HoldingLogChute, JdkLogChute, Log4JLogChute, LogChuteSystem, NullLogChute, ServletLogChute, SystemLogChute

public interface LogChute

Base interface that logging systems need to implement. This is the blessed descendant of the old LogSystem interface.

Since:
  1.5
Version:
  $Id: LogChute.java 730039 2008-12-30 03:53:19Z byron $
Author:
  Jon S. Stevens, Geir Magnusson Jr., Nathan Bubna

Field Summary
`static int` | `DEBUG_ID` ID for debug messages.
`static String` | `DEBUG_PREFIX` Prefix string for debug messages.
`static int` | `ERROR_ID` ID for error messages.
`static String` | `ERROR_PREFIX` Prefix string for error messages.
`static int` | `INFO_ID` ID for info messages.
`static String` | `INFO_PREFIX` Prefix string for info messages.
`static int` | `TRACE_ID` ID for trace messages.
`static String` | `TRACE_PREFIX` Prefix string for trace messages.
`static int` | `WARN_ID` ID for warning messages.
`static String` | `WARN_PREFIX` Prefix string for warn messages.

Method Summary
`void` | `init(RuntimeServices rs)` Initializes this LogChute.
`boolean` | `isLevelEnabled(int level)` Tell whether or not a log level is enabled.
`void` | `log(int level, String message)` Send a log message from Velocity.
`void` | `log(int level, String message, Throwable t)` Send a log message from Velocity along with an exception or error

Field Detail

### TRACE_PREFIX

    public static final String TRACE_PREFIX

  Prefix string for trace messages.

  See Also:
    Constant Field Values

### DEBUG_PREFIX

    public static final String DEBUG_PREFIX

  Prefix string for debug messages.

  See Also:
    Constant Field Values

### INFO_PREFIX

    public static final String INFO_PREFIX

  Prefix string for info messages.

  See Also:
    Constant Field Values

### WARN_PREFIX

    public static final String WARN_PREFIX

  Prefix string for warn messages.

  See Also:
    Constant Field Values

### ERROR_PREFIX

    public static final String ERROR_PREFIX

  Prefix string for error messages.

  See Also:
    Constant Field Values

### TRACE_ID

    public static final int TRACE_ID

  ID for trace messages.

  See Also:
    Constant Field Values

### DEBUG_ID

    public static final int DEBUG_ID

  ID for debug messages.

  See Also:
    Constant Field Values

### INFO_ID

    public static final int INFO_ID

  ID for info messages.

  See Also:
    Constant Field Values

### WARN_ID

    public static final int WARN_ID

  ID for warning messages.

  See Also:
    Constant Field Values

### ERROR_ID

    public static final int ERROR_ID

  ID for error messages.

  See Also:
    Constant Field Values

Method Detail

### init

    public void init(RuntimeServices rs)
              throws Exception

  Initializes this LogChute.

  Parameters:
    `rs` -
  Throws:
    `Exception`

### log

    public void log(int level,
                    String message)

  Send a log message from Velocity.

  Parameters:
    `level` -
    `message` -

### log

    public void log(int level,
                    String message,
                    Throwable t)

  Send a log message from Velocity along with an exception or error

  Parameters:
    `level` -
    `message` -
    `t` -

### isLevelEnabled

    public boolean isLevelEnabled(int level)

  Tell whether or not a log level is enabled.

  Parameters:
    `level` -
  Returns:
    True if a level is enabled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.